• Documentation
  • API Reference
Catalog API
    Get a CompanygetGet a Product FamilygetGet a ProductgetList CategoriesgetList CompaniesgetList Product FamiliesgetList Productsget
Scope API
    Get a ScopegetCreate a ScopepostCreate Scope via Documentpost
Pricing API
    Basic Price EstimategetAdvanced Price Estimateget
Webhooks API
    List webhooksgetCreate a webhookpostList webhook eventsgetGet webhook eventgetDelete webhookdelete
Negotiation API
    Start negotiationpostNegotiation summarygetAttach file to negotiationpostPost external updatepostGet FAQsget
Files API
    Upload filepost
Other endpoints
    OpenAPI SpecificationgetHealth checkget
Schemas
Vendr Public API

Webhooks API

Endpoint:https://api.vendr.com

List webhooks

GET
https://api.vendr.com
/v1/webhooks

List webhooks › Headers

  • Authorizationstring · required

List webhooks › Responses

  • idstring · required
  • urlstring · uri · required
  • eventsstring[] · required
GET /v1/webhooks

Create a webhook

POST
https://api.vendr.com
/v1/webhooks

Create a webhook › Headers

  • Authorizationstring · required

Create a webhook › Request Body

  • urlstring · uri · required
  • eventsstring[] · required
    Enum values:
    scope.extracted
    negotiation.summary.updated

Create a webhook › Responses

  • idstring · required
  • urlstring · uri · required
  • eventsstring[] · required
    Enum values:
    scope.extracted
    negotiation.summary.updated
  • secretstring
POST /v1/webhooks

List webhook events

GET
https://api.vendr.com
/v1/webhooks/{webhookId}/events

List webhook events › path Parameters

  • webhookIdstring · required

List webhook events › Headers

  • Authorizationstring · required

List webhook events › Responses

  • idstring · required
  • attemptsnumber · required
  • responseStatusnumber · required
  • lastAttemptAtstring · required
  • nextAttemptAtstring · required
  • successfulAtstring · required
  • updatedAtstring · required
  • createdAtstring · required
  • statusstring · required
GET /v1/webhooks/{webhookId}/events

Get webhook event

GET
https://api.vendr.com
/v1/webhooks/{webhookId}/events/{eventId}

Get webhook event › path Parameters

  • webhookIdstring · required
  • eventIdstring · required

Get webhook event › Headers

  • Authorizationstring · required

Get webhook event › Responses

  • idstring · required
  • attemptsnumber · required
  • responseStatusnumber · required
  • lastAttemptAtstring · required
  • nextAttemptAtstring · required
  • successfulAtstring · required
  • updatedAtstring · required
  • createdAtstring · required
  • statusstring · required
  • dataobject · required
GET /v1/webhooks/{webhookId}/events/{eventId}

Delete webhook

DELETE
https://api.vendr.com
/v1/webhooks/{webhookId}

Delete webhook › path Parameters

  • webhookIdstring · required

Delete webhook › Headers

  • Authorizationstring · required

Delete webhook › Responses

  • idstring · required
DELETE /v1/webhooks/{webhookId}

Pricing APINegotiation API